Bug 205258 - beagle helper hangs @ 100% cpu
beagle helper hangs @ 100% cpu
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
All Linux
medium Severity urgent
: ---
: ---
Assigned To: David Nielsen
Depends On:
  Show dependency treegraph
Reported: 2006-09-05 12:03 EDT by drago01
Modified: 2008-05-06 12:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:18:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
"broken" ods file (8.95 KB, application/vnd.oasis.opendocument.spreadsheet)
2006-09-11 13:45 EDT, drago01
no flags Details

  None (edit)
Description drago01 2006-09-05 12:03:08 EDT
Description of problem:

sometimes the beagle-helper process eats 100% cpu until I kill it

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
n/a just happens sometime
Actual results:
hang @ 100% cpu load

Expected results:

no hang @ 100% cpu 
Additional info:
 5122 dragoran  15   0  162m  36m  11m S  100  1.8   8:40.66 beagled-helper
 strace -p 5122
Process 5122 attached - interrupt to quit
(never continues)
Comment 1 drago01 2006-09-05 12:07:21 EDT
this is a FC5 x86_64 system with a dual core cpu running on
kernel-2.6.17-1.2174_FC5 (SMP)
Comment 2 Alexander Larsson 2006-09-06 04:03:57 EDT
Very strange, the strace shows it stuck in poll, which should use 0% cpu. Maybe
there are more threads and one of the other treads is stuck? Can you check with
the thread switches in ps?
Comment 3 drago01 2006-09-06 13:07:58 EDT
(In reply to comment #2)
> Very strange, the strace shows it stuck in poll, which should use 0% cpu. Maybe
> there are more threads and one of the other treads is stuck? Can you check with
> the thread switches in ps?

ok will try to do this when it happens again.
Comment 4 drago01 2006-09-10 09:00:53 EDT
it hangs again in poll() but does not use 100% cpu load.
ps auxm | grep beagle
dragoran  3203  0.0  1.5 160012 31608 ?        -    14:12   0:00 beagled-helper
--debug /usr/lib64/beagle/IndexHelper.exe
dragoran  3417  0.3  2.6 303436 54276 ?        -    14:38   0:04 beagled --debug
/usr/lib64/beagle/BeagleDaemon.exe --backend -GaimLog --bg
dragoran  3433  0.0  1.5 160888 31764 ?        -    14:38   0:00 beagled-helper
--debug /usr/lib64/beagle/IndexHelper.exe
dragoran  5415  0.0  0.0  58632  1076 pts/2    -    14:56   0:00 /bin/sh
dragoran  5946  0.0  0.0  58104   800 pts/5    -    15:00   0:00 grep beagle
it tryes to index a .ods file (thats whats beagle-status says)
Comment 5 drago01 2006-09-10 09:06:48 EDT
I can reproduce the "hang when trying to index a .ods file"
when I save a .ods file beagle tryes to index it and hangs.
Comment 6 Alexander Larsson 2006-09-11 03:57:10 EDT
What is an .ods file. Can you attach it?
Comment 7 drago01 2006-09-11 13:05:34 EDT
(In reply to comment #6)
> What is an .ods file. Can you attach it?

its a openoffice (2.0+) spreadshead
just create one with some text in it.
Comment 8 Joe Shaw 2006-09-11 13:26:54 EDT
This happens with *any* ods file?  Can you try running "beagle-extract-content"
on one and see if the CPU is also a problem there?
Comment 9 drago01 2006-09-11 13:45:49 EDT
Created attachment 136023 [details]
"broken" ods file

beagle-extract-content does not show any errors and does not hang. can't look
at the cpu usage because it was too fast.
but beagle is unable to index this file (can't find it when I search for the
name or contents)
file is attached.
Comment 10 Alexander Larsson 2006-09-12 03:54:20 EDT
I downloaded the file, renamed it "test.ods" and then searched for e.g. test,
nvidia and peluga. They all return the file both with the rawhide beagle and
with beagle-0.2.6-1.fc5.1 from FC5. 

Does beagle-index-info say its indexing or not? maybe the indexing just isn't
done yet? (There is a bug about indexing being slow)

When i run beagle-extract-content on that file i get this:

Filename: file:///home/alex/Desktop/test.ods
Debug: Loaded 45 filters from /usr/lib/beagle/Filters/Filters.dll
Filter: Beagle.Filters.FilterOpenOffice
MimeType: application/vnd.oasis.opendocument.spreadsheet

€-€??? Seite 1 ??? (???) 10.09.2006, 15:04:58 Seite 1 / 99 Tabelle1 Name Preis 
Händler INTEL Core2Duo E6600 2400MHz LGA775 4MB FSB1066, Boxed 324,99 Peluga
nVidia GeForce 7900 GT, 256 MB GDDR3 247 Alternate +10 versand LC-Power Silent
Giant LC6420G Black 420W ATX 2.0 42,9 Watercool Maxtor DiamondMax 10 320GB SATA
II 16MB 89,99 Peluga Casetek CK-1026 Midi-Tower 44,5  NRW LG Electronics
GSA-H10A schwarz 33,9 NRW ASUS P5B, P965 (dual PC2-6400U DDR2) 134,22 Peluga 
MDT DIMM 1024MB DDR2 800 x2 279,8 Ditech Labtec Optical Mouse, PS/2 & USB 6,99
Peluga Logitech OEM Internet Pro Keyboard Black, PS/2, DE  9,99 Peluga 
Zusammenbau 50 1264,28  Tabelle2 Tabelle3 

(no hot content)
Comment 11 drago01 2006-09-12 14:04:57 EDT
ok I will delete .beagle and recreate the index (in "fast mode") and tell you if
it works. but now I have work to do sorry (will do it tomorrow)
Comment 12 drago01 2006-09-18 11:33:30 EDT
sorry for the delay
I recreated the whole index and now can find the file.
seems like that the indexing is broken...
Comment 13 Gilboa Davara 2006-09-25 03:34:28 EDT
I wonder if it has anything to do with this bug:
Comment 14 Alex Lancaster 2006-11-27 23:21:15 EST
A probable dupe of this bug has been filed at bug #217031.
Comment 15 Bug Zapper 2008-04-03 23:39:40 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 16 Bug Zapper 2008-05-06 12:18:02 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.